Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxdesktop.image
Class DataBufferByte

    java.lang.Object
      java.awt.image.DataBuffer
          teamdev.jxdesktop.image.DataBufferByte

public final class DataBufferByte
extends java.awt.image.DataBuffer

Field Summary

Fields inherited from class java.awt.image.DataBuffer
`banks, dataType, offset, offsets, size, TYPE_BYTE, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INT, TYPE_SHORT, TYPE_UNDEFINED, TYPE_USHORT`

Constructor Summary
`DataBufferByte(com.jniwrapper.MemoryBuffer buffer, int size)` Constructs a byte-based `DataBuffer` with a single bank using the specified `MemoryBuffer`.

Method Summary
`byte[][]` | `getBankData()` Returns the data arrays for all banks.
`byte[]` | `getData()` Returns the default (first) byte data array.
`byte[]` | `getData(int bank)` Returns the data array for the specified bank.
`int` | `getElem(int i)` Returns the requested data array element from the first (default) bank.
`int` | `getElem(int bank, int i)` Returns the requested data array element from the specified bank.
`void` | `setElem(int i, int val)` Sets the requested data array element in the first (default) bank to the specified value.
`void` | `setElem(int bank, int i, int val)` Sets the requested data array element in the specified bank from the given integer.

Methods inherited from class java.awt.image.DataBuffer
`getDataType, getDataTypeSize, getElemDouble, getElemDouble, getElemFloat, getElemFloat, getNumBanks, getOffset, getOffsets, getSize, setElemDouble, setElemDouble, setElemFloat, setElemFloat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataBufferByte

    public DataBufferByte(com.jniwrapper.MemoryBuffer buffer,
                          int size)

  Constructs a byte-based `DataBuffer` with a single bank using the specified `MemoryBuffer`. Only the first `size` elements should be used by accessors of this `DataBuffer`. `MemoryBuffer` must be large enough to hold `size` elements.

Parameters:
  `buffer` - The memory buffer with allocate byte array for the `DataBuffer`.
  `size` - The size of the `DataBuffer` bank.

Method Detail

### getData

    public byte[] getData()

  Returns the default (first) byte data array.

  Returns:
    The first byte data array.

### getData

    public byte[] getData(int bank)

  Returns the data array for the specified bank.

  Parameters:
    `bank` - The bank whose data array you want to get.
  Returns:
    The data array for the specified bank.

### getBankData

    public byte[][] getBankData()

  Returns the data arrays for all banks.

  Returns:
    All of the data arrays.

### getElem

    public int getElem(int i)

  Returns the requested data array element from the first (default) bank.

  Parameters:
    `i` - The data array element you want to get.
  Returns:
    The requested data array element as an integer.

### getElem

    public int getElem(int bank,
                       int i)

  Returns the requested data array element from the specified bank.

  Parameters:
    `bank` - The bank from which you want to get a data array element.
    `i` - The data array element you want to get.
  Returns:
    The requested data array element as an integer.

### setElem

    public void setElem(int i,
                        int val)

  Sets the requested data array element in the first (default) bank to the specified value.

  Parameters:
    `i` - The data array element you want to set.
    `val` - The integer value to which you want to set the data array element.
  See Also:
    `getElem(int)`, `getElem(int,int)`

### setElem

    public void setElem(int bank,
                        int i,
                        int val)

  Sets the requested data array element in the specified bank from the given integer.

  Parameters:
    `bank` - The bank in which you want to set the data array element.
    `i` - The data array element you want to set.
    `val` - The integer value to which you want to set the specified data array element.
  See Also:
    `getElem(int)`, `getElem(int,int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD